Bug 198984 - gconf goes out of control and continuously respawns.
Summary: gconf goes out of control and continuously respawns.
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-15 11:12 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 04:08:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (28.50 KB, text/plain)
2006-07-15 11:12 UTC, Hans de Goede
no flags Details

Description Hans de Goede 2006-07-15 11:12:11 UTC
Description of problem:
With a Rawhide x86_64 system, last fully updated about a week ago, kernel
updated (and rebooted) yesterday (kernel-2.6.17-1.2396.fc6.x86_64). 

I did a "yum -y update" to upgrade to the latest rawhide, for some reason the
system ran out of ram during the upgrade. (512 Mb RAM, 2 Gb swap). Nothing
helped but the reset button.

After reset I found the attached text in my /var/log/messages. It seems gconf
was running wild, but never got killed.

Comment 1 Hans de Goede 2006-07-15 11:12:11 UTC
Created attachment 132481 [details]
/var/log/messages

Comment 2 Dave Jones 2006-07-16 03:28:27 UTC
gconf is going completely out of control, essentially forkbombing the machine
and munching up gobs of ram. I saw this happen on one of my boxes too a few days
ago. I somehow ended up with *hundreds* of gconf processes.


Comment 3 Ray Strode [halfline] 2006-07-16 03:44:11 UTC
ah, what a horrible bug.

Comment 4 Ray Strode [halfline] 2006-07-16 03:47:39 UTC
So two interesting lines are:
Jul 15 07:16:41 shalem gconfd (hans-2265): SIGHUP received, reloading all databases
Jul 15 07:16:42 shalem gconfd (hans-2265): Received signal 8, shutting down
abnormally. Please file a GConf bug report.

It looks like it's getting a hangup signal to reload itself, and somehow in the
process of doing that it sets some persistent state that causes a floating point
exception everytime it runs.

Comment 5 Dave Jones 2006-07-16 04:23:21 UTC
Hmm, I noticed a few other things randomly dieing with sigfpe around the middle
of last week , but then they seemed to disappear, and I didn't see the gconf
issue repeat itself either.

Given other things were also getting sigfpe, I think gconf may just be a poor
victim here.

There was an FPU optimisation merged into the kernel a little while earlier
(2376 on July 12th), so maybe this is a kernel bug after all.  I'll throw it out
of the next build, and we can see if this reoccurs.  Note, that patch is
currently in -mm, and will probably go upstream in 2.6.19, so if this starts
happening again around then, we'll know this was the cause.


Comment 6 Ray Strode [halfline] 2006-07-16 21:28:25 UTC
Okay, i'm going to throw it back your way then.  If the kernel theory doesn't
pan out, feel free to punt back to me.

Comment 7 Hans de Goede 2006-08-12 05:18:22 UTC
For what its worth I haven't seen this since, but yesterday beep-media-player
(gtk2 xmms) crashed on me with a SIGFPE.


Comment 8 Jeremy Katz 2006-09-22 04:08:11 UTC
Closing due to lack of reproducibility


Note You need to log in before you can comment on or make changes to this bug.